package org.opengroup.osdu.register.provider.azure.subscriber;

import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;
import org.junit.jupiter.api.extension.ExtendWith;
import org.mockito.Mock;
import org.mockito.junit.jupiter.MockitoExtension;

import org.opengroup.osdu.core.common.logging.JaxRsDpsLog;
import org.opengroup.osdu.core.common.model.http.DpsHeaders;
import org.opengroup.osdu.core.common.model.notification.Topic;

import java.util.Arrays;
import java.util.List;

import static org.junit.jupiter.api.Assertions.assertArrayEquals;
import static org.junit.jupiter.api.Assertions.assertEquals;
import static org.mockito.Mockito.when;

@ExtendWith(MockitoExtension.class)
public class TopicsRepositoryImplTest {

    @Mock
    private JaxRsDpsLog log;

    @Mock
    private DpsHeaders headers;
    
    private TopicsRepositoryImpl topicsRepository;

    @BeforeEach
    void init() {
        topicsRepository = new TopicsRepositoryImpl(log, headers);
    }

    @Test
    public void shouldReturnUserFriendlyTopicName() {
        when(headers.getPartitionId()).thenReturn("partitionId");

        List<Topic> topics = topicsRepository.listMessages();

        assertEquals(2, topics.size());
        List<String> expected = Arrays.asList("recordstopic", "testtopic");
        assertArrayEquals(expected.toArray(), topics.stream().map(Topic::getName).toArray());
    }
}
